import type { ParseDuration } from "./time";

export function formatDuration({ hours, minutes, seconds }: ParseDuration) {
	let output = "";

	if (hours) {
		output += hours.toString().padStart(2, "0") + ":";
	}

	output += minutes.toString().padStart(2, "0") + ":";

	output += seconds.toString().padStart(2, "0");

	return output;
}
